org.apache.ignite.internal.binary.builder

## Class BinaryModifiableLazyValue

- java.lang.Object
- - org.apache.ignite.internal.binary.builder.BinaryModifiableLazyValue

All Implemented Interfaces:
  BinaryLazyValue

    public class BinaryModifiableLazyValue
    extends Object

### Field Summary

Fields
`protected int` `len`
`protected BinaryBuilderReader` `reader`
`protected Object` `val`
`protected int` `valOff`

### Constructor Summary

Constructors
Constructor and Description
`BinaryModifiableLazyValue(BinaryBuilderReader reader, int valOff, int len)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected Object` `init()`
`Object` `value()`
`void` `writeTo(BinaryWriterExImpl writer, org.apache.ignite.internal.binary.builder.BinaryBuilderSerializer ctx)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### len

    protected final int len

#### val

    protected Object val

#### reader

    protected final BinaryBuilderReader reader

#### valOff

    protected final int valOff

### Constructor Detail

#### BinaryModifiableLazyValue

    public BinaryModifiableLazyValue(BinaryBuilderReader reader,
                                     int valOff,
                                     int len)

Parameters:
  `reader` -
  `valOff` -
  `len` -

### Method Detail

#### init

    protected Object init()

Returns:
  Value.

#### writeTo

    public void writeTo(BinaryWriterExImpl writer,
                        org.apache.ignite.internal.binary.builder.BinaryBuilderSerializer ctx)

Parameters:
  `writer` - Writer.
  `ctx` - Context.

#### value

    public Object value()

Specified by:
  `value` in interface `BinaryLazyValue`
Returns:
  Value.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020